> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# One Time Bank Payout



## OpenAPI

````yaml openapi.json post /payout/single
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/single:
    parameters: []
    post:
      tags:
        - Payout
        - Single One Time Payout
      summary: One Time Bank Payout
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: integer
                reference:
                  type: string
                pin:
                  type: string
                bankCode:
                  type: string
                accountNumber:
                  type: string
                narration:
                  type: string
                saveBeneficiary:
                  type: boolean
              required:
                - amount
                - pin
                - bankCode
                - accountNumber
                - narration
                - saveBeneficiary
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '705'
            ETag:
              schema:
                type: string
              example: W/"2c1-tAF6pBSquZLGj6I60yQytJMGFU4"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 27 Jun 2024 16:45:06 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Single One Time Payout - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      description:
                        type: string
                      status:
                        type: string
                      amount:
                        type: integer
                      narration:
                        type: string
                      saveBeneficiary:
                        type: boolean
                      recipientBankCode:
                        type: string
                        format: color
                      recipientAccountNumber:
                        type: string
                        format: utc-millisec
                      recipientAccountName:
                        type: string
                      charges:
                        type: integer
                      bankName:
                        type: string
                      totalAmount:
                        type: integer
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                      paidAt:
                        type: string
                        format: date-time
                      transactionId:
                        type: string
                      reference:
                        type: string
                      sessionId:
                        type: string
                        format: utc-millisec
              example:
                status: true
                message: >-
                  Transfer of NGN200.00 to SIMI MICHELLE (2394934324/PROVIDUS
                  BANK)/999270240627174506700563040861
                data:
                  description: ₦200.00 transferred to SIMI MICHELLE
                  status: SUCCESS
                  amount: 200
                  narration: Free money testing
                  saveBeneficiary: false
                  recipientBankCode: '000023'
                  recipientAccountNumber: '2394934324'
                  recipientAccountName: SIMI MICHELLE
                  charges: 20
                  bankName: PROVIDUS BANK
                  totalAmount: 220
                  originatorAccountName: Henry Balo
                  originatorAccountNumber: '4443355297'
                  paidAt: '2024-06-27T17:45:04+01:00'
                  transactionId: 015c898b-dda2-4b06-9bb5-8ef74dc353bc
                  reference: niLmtQwN3dGcIGfq4pAOKV9EX6fBfamTUHto
                  sessionId: '999270240627174506700563040861'
        '400':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '492'
            ETag:
              schema:
                type: string
              example: W/"1ec-PInRpYwX9bntzFG/ZW98O/gEHAg"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 27 Jun 2024 16:25:43 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Single One Time Payout - Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      description:
                        type: string
                      status:
                        type: string
                      amount:
                        type: integer
                      narration:
                        type: string
                      saveBeneficiary:
                        type: boolean
                      recipientBankCode:
                        type: string
                        format: color
                      recipientAccountNumber:
                        type: string
                        format: utc-millisec
                      recipientAccountName:
                        type: string
                      charges:
                        type: integer
                      bankName:
                        type: string
                      totalAmount:
                        type: integer
                      reference:
                        type: string
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                  status:
                    type: boolean
              example:
                message: Bank transfer failed.
                data:
                  description: ₦500.00 transfered to SIMI MICHELLE
                  status: FAILED
                  amount: 500
                  narration: Free money testing
                  saveBeneficiary: false
                  recipientBankCode: '000023'
                  recipientAccountNumber: '2394934324'
                  recipientAccountName: SIMI MICHELLE
                  charges: 20
                  bankName: PROVIDUS BANK
                  totalAmount: 520
                  reference: GQe9PPfYtPVk3g2pFy3zK7AGVlF0Z2urhoZD
                  originatorAccountName: Henry Balo
                  originatorAccountNumber: '4443355297'
                status: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````